{"openapi":"3.0.0","info":{"description":"This an example of an Open Banking API. It is an interface to some common financial microservices.","contact":{"email":"you@your-company.com"},"version":"1.0.0","license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"paths":{"/account":{"get":{"tags":["developers"],"summary":"Retrieves account balance","description":"By passing in the appropriate options, you can search for\navailable inventory in the system\n","operationId":"getBalance","parameters":[{"name":"searchString","in":"query","description":"Pass an account ID","required":false,"style":"form","explode":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"items":{"type":"object","properties":{"id":{"type":"string","description":"User id","example":1},"name":{"type":"string","description":"Users first name","example":"John"},"last_name":{"type":"string","description":"Users last name","example":"Doe"},"email":{"type":"string","description":"Users email","example":"john.doe@smartbear.com"},"balance":{"type":"string","description":"Balance","example":1000.0},"address":{"type":"string","description":"Users address","example":"Australia"}}}}}}},"400":{"description":"bad input parameter"}}}}},"components":{},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/SMARTBEAR_APAC/002/1.0.0"}]}